Subject: Re: Git issue report : issue with capital letter in folder name

From: PFDuc <[email-masked]>
Date: Thu, 17 Dec 2015 18:35:25 -0500

Le 2015-12-17 13:29, Stefan Beller a écrit :
> On Thu, Dec 17, 2015 at 7:45 AM, PFDuc
> <[email-masked]> wrote:
>> Hello,
>>
>> first of all thank you for developping git !
>>
>> I had an issue with a capital block in the folder name inside my git repo.
>> The folder in my local was named "Display" and the one at origin was named
>> "display" resulting in error when importing python code from this folder for
>> users who got the repo from origin.
> By any chance, were different operating systems or file systems
> involved in creation of
> this problem?
It might be the case, a mix between windows7, ubuntu and macOS
> There are file systems which care about the capitalization, and others don't.
> So if you have a file system which doesn't care about capitalization
> of the folder/file name,
> you can use a different capitalization and it still works. If you take
> the code to
> another system then, which is a bit more careful there are problems of course.
>
> The main question which remains, is how is Git involved? i.e. would it
> also happen
> if you just transfer a tarball? Did Git itself break anything?
I don't think git broke anything it is just that the folder name was not 
being changed to the one with a capital letter when I pushed on origin, 
the only way out I found was the one I described in my initial email. I 
thought then the problem might occur from git, but as you say it is 
probably a cross platform issue. The folder initially created was named 
display, then I changed it locally but git wouldn't recognize it as 
something to commit (platform windows7)

I just wanted to let you know in case it would have been an issue you 
wouldn't be aware of.

Regards,

Pierre-François
>> I tried to change the folder name on bitbucket.org but I was unable to (or
>> wasn't smart enough to find how to).
>>
>> I fixed the issue by deleting the file from my local, then commit, then
>> push, put the same folder in my local, then commit then push.
>>
>> I am therefore only writing to tell you that story which is not so
>> important, but I had the thought that because it is not so important maybe
>> nobody reports that and the bug (if any) cannot be fixed.
>>
>> Have a good day and happy end of year season!
>>
>> Regards,
>>
>> Pierre-François Duc
>> PhD candidate Physics McGill university
>> --
>> To unsubscribe from this list: send the line "unsubscribe git" in
>> the body of a message to [email-masked]
>> More majordomo info at  http://vger.kernel.org/majordomo-info.html